<div class="wrap" id="instagram-settings">
	<h2>Instagram <?php _e('Settings', 'instagram'); ?></h2>
	<form method="post">
	<?php 
	
		$instagramOptions = InstagramPlugin::getInstance()->getOptions();
			
		if(InstagramPlugin::getInstance()->getAccessToken()):
			echo '<div class="success">';
			_e('Your application is authorized, have fun!', 'instagram');
			echo '</div>';
		?>
			<div>
				<input type="submit" class="button-primary" name="instagram-reset-settings" value="<?php _e('Reset settings', 'instagram'); ?>" />
			</div>
		<?php
		else:
		?>
			<div class="error">
				<p>
				<?= __('Instapress requires authentication by xAuth in order to display your friends, public or your own feeds.', 'instagram') ?>
				</p>
			</div>
			<div>
				<p>
					<?php _e('To activate Instapress just enter your Instagram username and password', 'instagram') ?>:
				</p>
				<div>
					<div>
						<label for="instagram-app-client-id"><?php _e('Username', 'instagram') ?></label>
						<input type="text" id="instagram-app-user-username" name="instagram-app-user-username" value="<?= esc_attr( $instagramOptions['app_user_username'] ) ?>" />
					</div>
					<div>
						<label for="instagram-app-client-secret"><?php _e('Password', 'instagram') ?></label>
						<input type="password" id="instagram-app-user-password" name="instagram-app-user-password" value="<?= esc_attr( $instagramOptions['app_user_password'] ) ?>" />
					</div>
					<div>
						<input type="submit" class="button-primary" name="instagram-update-auth-settings" value="<?php _e('Save settings', 'instagram'); ?>" />
					</div>
				</div>
			</div>
		<?php
			endif;
		?>
		<h3><?php _e('General settings', 'instagram'); ?></h3>
		<?php 
			if(InstagramPlugin::getInstance()->cacheIsEnabled()): // Cache aktiv?
		?>
		<div>
			<label for="instagram-cache-time"><?php _e('Refresh cache after', 'instagram') ?></label>
			<?php 
				$possibleCacheTimes = array(5, 10, 15, 30, 45, 60);
			?>
			<select id="instagram-cache-time" name="instagram-cache-time">
				<?php foreach($possibleCacheTimes as $value): ?>
					<option<?= esc_attr( $instagramOptions['app_cache_time'] ) == $value ? ' selected="selected"' : '' ?>><?= $value ?></option>
				<?php endforeach; ?>
			</select><?php _e('minutes', 'instagram') ?>
		</div>
		<div>
			<input type="submit" class="button-primary" name="instagram-update-settings" value="<?php _e('Save settings', 'instagram'); ?>" />
		</div>
		<?php 
			else: // Cache inaktiv
		?>
		<div class="error">
			<p>
			<?= sprintf(__('To improve performance of this plugin, it is highly recommended to make the directory wp-content or wp-content/cache writable. For further information click <a target="_blank" href="%s">here</a>' , 'instagram'), 'http://codex.wordpress.org/Changing_File_Permissions'); ?>
			</p>
		</div>
		<div>
			<p><?php _e('Cache is not active', 'instagram'); ?></p>
		</div>
		<?php 
			endif;
		?>
	</form>
</div>